Skip to navigation

List Molecules

List molecules

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt:desc

Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.

createdAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of a Molecule. Restricts results to those with the specified name, alias, or entity registry ID.
nameIncludesstringOptional
Name substring of a Molecule. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.
folderIdstringOptional
ID of a folder. Restricts results to those in the folder.
mentionedInlist of stringsOptional

Comma-separated list of entry IDs. Restricts results to Molecules mentioned in those entries.

projectIdstringOptional
ID of a project. Restricts results to those in the project.
registryIdstringOptional
ID of a registry. Restricts results to those registered in this registry. Specifying "null" returns unregistered items.
schemaIdstringOptional
ID of a schema. Restricts results to those of the specified schema.
schemaFieldsmap from strings to anyOptional

Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.

archiveReasonstringOptional

Archive reason. Restricts results to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived Molecules. Use “ANY_ARCHIVED” to filter for archived Molecules regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

mentionslist of stringsOptional

Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

entityRegistryIds.anyOfstringOptional

Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.

names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs.

authorIds.anyOfstringOptional
Comma separated list of user or app IDs. Maximum of 100.
chemicalSubstructure.molstringOptional

mol-formatted string for a chemical substructure to search by

chemicalSubstructure.smilesstringOptional
SMILES string for a chemical substructure to search by

Response

OK
moleculeslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error